import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
	name: 'capitalize'
})
export class CapitalizePipe implements PipeTransform {

	transform(word: string, args?: any): any {
		return word.toLowerCase()
			.split(' ')
			.map((char) => char.charAt(0).toUpperCase() + char.substring(1))
			.join(' ');
	}

}
