import { Component, OnInit, Inject } from '@angular/core';
import { CourseDetails, Level, Breadth } from '../../../core/models/course-details';
import { DataService } from '../../../core/data.service';
import { MAT_DIALOG_DATA } from '@angular/material';

@Component({
	selector: 'cse-course-details-dialog',
	templateUrl: './course-details-dialog.component.html',
	styleUrls: ['./course-details-dialog.component.scss']
})

export class CourseDetailsDialogComponent implements OnInit {
	courseDetails: CourseDetails;

	constructor(@Inject(MAT_DIALOG_DATA) public data: any, private dataService: DataService) {
		this.courseDetails = data.courseDetails;
	}

	ngOnInit() {
	}
}
